<?php

namespace App\Livewire\Campagne;

use Livewire\Component;
use Livewire\WithPagination;
use App\Models\Campagna;

class CampagnaIndex extends Component
{
    use WithPagination;

    public function deleteCampagna(int $id)
    {
        $campagna = Campagna::findOrFail($id);
        $campagna->delete();
        session()->flash('success', "Campagna '{$campagna->descrizione}' eliminata.");
    }

    public function render()
    {
        return view('livewire.campagne.campagna-index', [
            'campagne' => Campagna::orderByDesc('start_date')->paginate(15),
        ]);
    }
}
